org.apache.lucene.analysis.fr

## Class FrenchStemmer

- java.lang.Object
- - org.apache.lucene.analysis.fr.FrenchStemmer

-     public class FrenchStemmer
      extends java.lang.Object

  A stemmer for French words.

  The algorithm is based on the work of Dr Martin Porter on his snowball project
  refer to http://snowball.sourceforge.net/french/stemmer.html
  (French stemming algorithm) for details

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FrenchStemmer()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `stem(java.lang.String term)` Stems the given term to a unique `discriminator`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FrenchStemmer

          public FrenchStemmer()

  - ### Method Detail

    - #### stem

          protected java.lang.String stem(java.lang.String term)

      Stems the given term to a unique `discriminator`.
      Parameters:
        `term` - java.langString The term that should be stemmed
      Returns:
        java.lang.String Discriminator for `term`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.